Package org.jmock.builder

# Class InvocationMockerDescriber

java.lang.Object
org.jmock.builder.InvocationMockerDescriber

All Implemented Interfaces:
  `InvocationMocker.Describer`

public class InvocationMockerDescriber extends Object implements InvocationMocker.Describer

Since:
  1.0

## Constructor Summary

Constructors
Constructor
Description
`InvocationMockerDescriber()`

## Method Summary

Modifier and Type
Method
Description
`void`
`describeTo(StringBuffer buffer, List matchers, Stub stub, String name)`
`boolean`
`hasDescription()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvocationMockerDescriber

public InvocationMockerDescriber()

## Method Details

### hasDescription

public boolean hasDescription()

Specified by:
  `hasDescription` in interface `InvocationMocker.Describer`

### describeTo

public void describeTo(StringBuffer buffer, List matchers, Stub stub, String name)

Specified by:
  `describeTo` in interface `InvocationMocker.Describer`